<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php
include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");

	class Vuerecent extends PluginsClassiques{

		public $id;
		public $vurecent;
		public $ref;
		public $session;

		public $table = "vuerecent";
		public $bddvars = array("id", "vurecent", "ref", "session");

		public function init() {
			$hdl = $this->query("
				CREATE TABLE IF NOT EXISTS `$this->table` (
					`vurecent` datetime NOT NULL,
					`ref` TEXT NOT NULL,
					`session` TEXT NOT NULL
				)
			");

			if (! $hdl) throw new TheliaException("Ne peut créer la table $this->table");
		}

		public function destroy(){
			$this->query('DROP TABLE '.$this->table.'');
		}

		public function boucle($texte, $args){

			$res = '';

			$num = @lireTag($args, "num");

			$limit = empty($num) ? '' :  "LIMIT 0, $num";

			// Purge des anciennes consultations
			$this->query('DELETE FROM '.$vuerecent->table.' WHERE `vurecent`<"'.date("Y-m-d").'"');

			$hdl= $this->query("
				SELECT
					ref
				FROM
					$this->table
				WHERE
					`session` = '".session_id()."'
				ORDER BY
					vurecent DESC
				$limit
			");

			while($hdl && $row = $this->fetch_object($hdl)){
				$res .= str_replace("#REF", $row->ref, $texte);

			}

			return $res;
		}

		public function action($res){

			$ref = false;

			$id_produit = lireParam('id_produit');

			if (! empty($id_produit)) {
				$produit = new Produit();
				if ($produit->charger_id($id_produit)) $ref = $produit->ref;
			}
			else {
				$ref = lireParam('ref');
			}

			if (! empty($ref)) {
				$vuerecent = new Vuerecent();

				$vuerecent->deleteproduct($ref);

				$vuerecent->ref = $ref;
				$vuerecent->vurecent = date("Y-m-d H:i:s");
				$vuerecent->session = session_id();
				$vuerecent->add();
			}
		}

		private function deleteproduct($delref){
			$this->query('DELETE FROM '.$this->table.' WHERE `ref` = "'.$delref.'" AND `session` = "'.session_id().'" ');
		}
	}
?>